L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données de vigilance et des outils pour y remédier.

Vulnérabilité de Oracle Java : vulnérabilités de juillet 2019

Synthèse de la vulnérabilité 

Plusieurs vulnérabilités ont été annoncées dans les produits Oracle.
Produits vulnérables : Debian, Avamar, NetWorker, Fedora, AIX, DB2 UDB, IBM i, QRadar SIEM, SPSS Modeler, Tivoli System Automation, Tivoli Workload Scheduler, ePO, Java OpenJDK, openSUSE Leap, Java Oracle, RHEL, RSA Authentication Manager, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Gravité de cette faille : 3/4.
Nombre de vulnérabilités dans ce bulletin : 9.
Date de création : 17/07/2019.
Références de ce bulletin : 1072346, 1073908, 1087227, 1170340, 6199287, 6199289, 967217, CERTFR-2019-AVI-340, cpujul2019, CVE-2019-2745, CVE-2019-2762, CVE-2019-2766, CVE-2019-2769, CVE-2019-2786, CVE-2019-2816, CVE-2019-2818, CVE-2019-2821, CVE-2019-2842, DLA-1886-1, DLA-1886-2, DSA-2019-133, DSA-2019-154, DSA-4485-1, DSA-4486-1, FEDORA-2019-146b81efba, FEDORA-2019-3854a1727e, FEDORA-2019-56a658c60c, FEDORA-2019-5c794ec7ba, FEDORA-2019-97bb9c43b9, FEDORA-2019-a5ec38072a, FEDORA-2019-a9825cfb3d, FEDORA-2019-f27e187c76, openSUSE-SU-2019:1912-1, openSUSE-SU-2019:1916-1, PROJ-ZERO-1779, PROJ-ZERO-1780, PROJ-ZERO-1781, PROJ-ZERO-1782, RHSA-2019:1810-01, RHSA-2019:1811-01, RHSA-2019:1815-01, RHSA-2019:1816-01, RHSA-2019:1817-01, RHSA-2019:1839-01, RHSA-2019:1840-01, RHSA-2019:2494-01, RHSA-2019:2495-01, RHSA-2019:2585-01, RHSA-2019:2590-01, RHSA-2019:2592-01, SB10300, SUSE-SU-2019:14160-1, SUSE-SU-2019:14188-1, SUSE-SU-2019:2021-1, SUSE-SU-2019:2028-1, SUSE-SU-2019:2036-1, SUSE-SU-2019:2291-1, SUSE-SU-2019:2336-1, SUSE-SU-2019:2371-1, USN-4080-1, USN-4083-1, VIGILANCE-VUL-29796.

Description de la vulnérabilité 

Plusieurs vulnérabilités ont été annoncées dans les produits Oracle.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Cette annonce cybersécurité concerne les logiciels ou systèmes comme Debian, Avamar, NetWorker, Fedora, AIX, DB2 UDB, IBM i, QRadar SIEM, SPSS Modeler, Tivoli System Automation, Tivoli Workload Scheduler, ePO, Java OpenJDK, openSUSE Leap, Java Oracle, RHEL, RSA Authentication Manager, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Notre équipe Vigil@nce a déterminé que la gravité de cette alerte de menace est important.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de document.

Ce bulletin concerne 9 vulnérabilités.

Un attaquant avec un niveau de compétence expert peut exploiter cette faille cyber-sécurité.

Solutions pour cette menace 

Oracle Java : version 12.0.2.
La version 12.0.2 est corrigée :
  http://www.oracle.com/technetwork/indexes/downloads/index.html
  https://www.oracle.com/technetwork/java/javase/12u-relnotes-5211424.html

Oracle Java : version 11.0.4.
La version 11.0.4 est corrigée :
  http://www.oracle.com/technetwork/indexes/downloads/index.html
  https://www.oracle.com/technetwork/java/javase/11u-relnotes-5093844.html

Oracle Java : version 8u221.
La version 8u221 est corrigée :
  http://www.oracle.com/technetwork/indexes/downloads/index.html
  http://www.oracle.com/technetwork/java/javase/documentation/8u-relnotes-2225394.html

Oracle Java : version 7u231.
La version 7u231 est corrigée :
  http://www.oracle.com/technetwork/indexes/downloads/index.html
  http://www.oracle.com/technetwork/java/javase/documentation/javase7supportreleasenotes-1601161.html

AIX : patch pour Java.
Un patch est indiqué dans les sources d'information.

Debian 10 : nouveaux paquetages openjdk-11.
De nouveaux paquetages sont disponibles :
  Debian 10 : openjdk-11 11.0.4+11-1~deb10u1

Debian 8 : nouveaux paquetages openjdk-7.
De nouveaux paquetages sont disponibles :
  Debian 8 : openjdk-7 7u231-2.6.19-1~deb8u2

Debian 9 : nouveaux paquetages openjdk-8.
De nouveaux paquetages sont disponibles :
  Debian 9 : openjdk-8 8u222-b10-1~deb9u1

Dell EMC Avamar / Networker : patch pour Third-Party Components.
Un patch est indiqué dans les sources d'information.

Fedora : nouveaux paquetages java-11-openjdk.
De nouveaux paquetages sont disponibles :
  Fedora 29 : java-11-openjdk 11.0.4.11-0.fc29
  Fedora 30 : java-11-openjdk 11.0.4.11-0.fc30

Fedora : nouveaux paquetages java-1.8.0-openjdk.
De nouveaux paquetages sont disponibles :
  Fedora 29 : java-1.8.0-openjdk 1.8.0.222.b10-0.fc29
  Fedora 30 : java-1.8.0-openjdk 1.8.0.222.b10-0.fc30

Fedora : nouveaux paquetages java-1.8.0-openjdk-aarch32.
De nouveaux paquetages sont disponibles :
  Fedora 30 : java-1.8.0-openjdk-aarch32 1.8.0.222.b10-1.fc30
  Fedora 29 : java-1.8.0-openjdk-aarch32 1.8.0.222.b10-1.fc29

Fedora : nouveaux paquetages java-latest-openjdk.
De nouveaux paquetages sont disponibles :
  Fedora 29 : java-latest-openjdk 12.0.2.9-1.rolling.fc29
  Fedora 30 : java-latest-openjdk 12.0.2.9-1.rolling.fc30

IBM DB2 : versions corrigées pour Java.
Les versions corrigées sont indiquées dans les sources d'information.

IBM i : patch pour Java.
Un patch est indiqué dans les sources d'information.

IBM QRadar SIEM : patch pour Java.
Un patch est indiqué dans les sources d'information.

IBM SPSS Modeler : patch pour Java.
Six patchs sont indiqués dans les sources d'information, chacun pour une version du JRE.

IBM Tivoli System Automation : patch pour Java.
Un patch est disponible :
   IBM Tivoli System Automation for Multiplatforms : https://www-945.ibm.com/support/fixcentral/swg/selectFixes?parent=ibm~Tivoli&product=ibm/Tivoli/Tivoli+System+Automation+for+Multiplatforms&release=All&platform=All&function=all
   IBM Tivoli System Automation Application Manager : https://www-945.ibm.com/support/fixcentral/swg/selectFixes?parent=ibm~Tivoli&product=ibm/Tivoli/Tivoli+System+Automation+Application+Manager&release=All&platform=All&function=all

IBM Tivoli Workload Scheduler : patch pour Java.
Un patch est disponible :
  Pour Tivoli Workload Scheduler Distributed 9.2.0 FP0003 : 9.2.0-TIV-TWS-FP0003-IJ23925
  Pour Tivoli Workload Scheduler Distributed 9.4.0 FP06 : 9.4.0-TIV-TWS-FP0006-IJ23925

McAfee ePolicy Orchestrator : versions corrigées pour Java.
Les versions corrigées sont indiquées dans les sources d'information.

McAfee ePO : version 5.10 Update 5.
La version 5.10 Update 5 est corrigée :
  https://www.mcafee.com/enterprise/en-us/downloads/my-products.html

openSUSE Leap 15 : nouveaux paquetages java-11-openjdk.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.0 : java-11-openjdk 11.0.4.0-lp150.2.25.1
  openSUSE Leap 15.1 : java-11-openjdk 11.0.4.0-lp151.3.6.1

openSUSE Leap 15 : nouveaux paquetages java-1_8_0-openjdk.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.0 : java-1_8_0-openjdk 1.8.0.222-lp150.2.19.1
  openSUSE Leap 15.1 : java-1_8_0-openjdk 1.8.0.222-lp151.2.3.1

RHEL : nouveaux paquetages java-11-openjdk.
De nouveaux paquetages sont disponibles :
  RHEL 7 : java-11-openjdk 11.0.4.11-0.el7_6
  RHEL 8 : java-11-openjdk 11.0.4.11-0.el8_0

RHEL : nouveaux paquetages java-1.7.0-openjdk.
De nouveaux paquetages sont disponibles :
  RHEL 6 : java-1.7.0-openjdk 1.7.0.231-2.6.19.1.el6_10
  RHEL 7 : java-1.7.0-openjdk 1.7.0.231-2.6.19.1.el7_6

RHEL : nouveaux paquetages java-1.7.1-ibm.
De nouveaux paquetages sont disponibles :
  RHEL 6 : java-1.7.1-ibm 1.7.1.4.50-1jpp.1.el6_10
  RHEL 7 : java-1.7.1-ibm 1.7.1.4.50-1jpp.1.el7

RHEL : nouveaux paquetages java-1.8.0-ibm.
De nouveaux paquetages sont disponibles :
  RHEL 6 : java-1.8.0-ibm 1.8.0.5.40-1jpp.1.el6_10
  RHEL 7 : java-1.8.0-ibm 1.8.0.5.40-1jpp.1.el7
  RHEL 8 : java-1.8.0-ibm 1.8.0.5.40-3.el8_0

RHEL : nouveaux paquetages java-1.8.0-openjdk.
De nouveaux paquetages sont disponibles :
  RHEL 6 : java-1.8.0-openjdk 1.8.0.222.b10-0.el6_10
  RHEL 7 : java-1.8.0-openjdk 1.8.0.222.b10-0.el7_6
  RHEL 8 : java-1.8.0-openjdk 1.8.0.222.b10-0.el8_0

RSA Authentication Manager : version 8.4 Patch 6.
La version 8.4 Patch 6 est corrigée :
  https://www.dell.com/support

SUSE LE 11 SP3 : nouveaux paquetages java-1_7_0-ibm.
De nouveaux paquetages sont disponibles :
  SUSE LE 11 SP3 : java-1_7_0-ibm 1.7.0_sr10.50-65.42.1

SUSE LE 11 SP4 : nouveaux paquetages java-1_7_1-ibm.
De nouveaux paquetages sont disponibles :
  SUSE LE 11 SP4 : java-1_7_1-ibm 1.7.1_sr4.50-26.44.1

SUSE LE 12 : nouveaux paquetages java-1_7_1-ibm.
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP1 : java-1_7_1-ibm 1.7.1_sr4.50-38.41.1
  SUSE LE 12 SP2 : java-1_7_1-ibm 1.7.1_sr4.50-38.41.1
  SUSE LE 12 SP3 : java-1_7_1-ibm 1.7.1_sr4.50-38.41.1
  SUSE LE 12 SP4 : java-1_7_1-ibm 1.7.1_sr4.50-38.41.1
  SUSE LE 12 SP5 : java-1_7_1-ibm 1.7.1_sr4.50-38.41.1

SUSE LE 12 : nouveaux paquetages java-1_8_0-ibm (13/09/2019).
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP5 : java-1_8_0-ibm 1.8.0_sr5.40-30.54.1
  SUSE LE 12 SP4 : java-1_8_0-ibm 1.8.0_sr5.40-30.54.1
  SUSE LE 12 SP3 : java-1_8_0-ibm 1.8.0_sr5.40-30.54.1
  SUSE LE 12 SP2 : java-1_8_0-ibm 1.8.0_sr5.40-30.54.1
  SUSE LE 12 SP1 : java-1_8_0-ibm 1.8.0_sr5.40-30.54.1

SUSE LE 12 : nouveaux paquetages java-1_8_0-openjdk.
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP1 : java-1_8_0-openjdk 1.8.0.222-27.35.2
  SUSE LE 12 SP2 : java-1_8_0-openjdk 1.8.0.222-27.35.2
  SUSE LE 12 SP3 : java-1_8_0-openjdk 1.8.0.222-27.35.2
  SUSE LE 12 SP4 : java-1_8_0-openjdk 1.8.0.222-27.35.2
  SUSE LE 12 SP5 : java-1_8_0-openjdk 1.8.0.222-27.35.2

SUSE LE 12 SP4 : nouveaux paquetages java-1_7_0-openjdk.
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP4 : java-1_7_0-openjdk 1.7.0.231-43.27.2

SUSE LE 15 : nouveaux paquetages java-1_8_0-ibm.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 RTM : java-1_8_0-ibm 1.8.0_sr5.40-3.24.1
  SUSE LE 15 SP1 : java-1_8_0-ibm 1.8.0_sr5.40-3.24.1

SUSE LE 15 : nouveaux paquetages java-1_8_0-openjdk.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 RTM : java-1_8_0-openjdk 1.8.0.222-3.24.2
  SUSE LE 15 SP1 : java-1_8_0-openjdk 1.8.0.222-3.24.2

Ubuntu 16.04 : nouveaux paquetages openjdk-8-jdk.
De nouveaux paquetages sont disponibles :
  Ubuntu 16.04 LTS : openjdk-8-jdk 8u222-b10-1ubuntu1~16.04.1, openjdk-8-jre 8u222-b10-1ubuntu1~16.04.1

Ubuntu : nouveaux paquetages openjdk-11-jdk.
De nouveaux paquetages sont disponibles :
  Ubuntu 18.04 LTS : openjdk-11-jdk 11.0.4+11-1ubuntu2~18.04.3
  Ubuntu 19.04 : openjdk-11-jdk 11.0.4+11-1ubuntu2~19.04
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques 

Vigil@nce fournit une analyse de vulnérabilité de logiciel. La base de vulnérabilités Vigil@nce contient plusieurs milliers de failles.